HtmlTab (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.html.HtmlTab class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlTab

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.richfaces.component.UITab
                          org.richfaces.component.html.HtmlTab

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class HtmlTab

extends UITab

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlTab()`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getLabelWidth()`
`java.lang.Object` | `getName()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnlabelclick()`
`java.lang.String` | `getOnlabeldblclick()`
`java.lang.String` | `getOnlabelkeydown()`
`java.lang.String` | `getOnlabelkeypress()`
`java.lang.String` | `getOnlabelkeyup()`
`java.lang.String` | `getOnlabelmousedown()`
`java.lang.String` | `getOnlabelmousemove()`
`java.lang.String` | `getOnlabelmouseup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOntabenter()`
`java.lang.String` | `getOntableave()`
`java.lang.Object` | `getProcess()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getSimilarityGroupingId()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getSwitchType()`
`int` | `getTimeout()`
`java.lang.String` | `getTitle()`
`java.lang.Object` | `getValue()` Get Model Value for this Tab.
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setData(java.lang.Object _data)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setLabel(java.lang.String _label)`
`void` | `setLabelWidth(java.lang.String _labelWidth)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setName(java.lang.Object _name)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnlabelclick(java.lang.String _onlabelclick)`
`void` | `setOnlabeldblclick(java.lang.String _onlabeldblclick)`
`void` | `setOnlabelkeydown(java.lang.String _onlabelkeydown)`
`void` | `setOnlabelkeypress(java.lang.String _onlabelkeypress)`
`void` | `setOnlabelkeyup(java.lang.String _onlabelkeyup)`
`void` | `setOnlabelmousedown(java.lang.String _onlabelmousedown)`
`void` | `setOnlabelmousemove(java.lang.String _onlabelmousemove)`
`void` | `setOnlabelmouseup(java.lang.String _onlabelmouseup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOntabenter(java.lang.String _ontabenter)`
`void` | `setOntableave(java.lang.String _ontableave)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setSwitchType(java.lang.String _switchType)`
`void` | `setTimeout(int _timeout)`
`void` | `setTitle(java.lang.String _title)`
`void` | `setValue(java.lang.Object _value)` Set Model Value for this Tab.

Methods inherited from class org.richfaces.component.UITab
`encodeTab, getPane, getSwitchTypeOrDefault, isActive, setActive, setupReRender`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.event.AjaxSource
`addAjaxListener, getAjaxListeners, removeAjaxListener`

Methods inherited from interface javax.faces.component.ActionSource
`addActionListener, getAction, getActionListener, getActionListeners, isImmediate, removeActionListener, setAction, setActionListener, setImmediate`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlTab

    public HtmlTab()

Method Detail

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `UITab`

### setDisabled

    public void setDisabled(boolean _disabled)

  Specified by:
    `setDisabled` in class `UITab`

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `UITab`

### setLabel

    public void setLabel(java.lang.String _label)

  Specified by:
    `setLabel` in class `UITab`

### getLabelWidth

    public java.lang.String getLabelWidth()

  Specified by:
    `getLabelWidth` in class `UITab`

### setLabelWidth

    public void setLabelWidth(java.lang.String _labelWidth)

  Specified by:
    `setLabelWidth` in class `UITab`

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getName

    public java.lang.Object getName()

  Specified by:
    `getName` in class `UITab`

### setName

    public void setName(java.lang.Object _name)

  Specified by:
    `setName` in class `UITab`

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnlabelclick

    public java.lang.String getOnlabelclick()

### setOnlabelclick

    public void setOnlabelclick(java.lang.String _onlabelclick)

### getOnlabeldblclick

    public java.lang.String getOnlabeldblclick()

### setOnlabeldblclick

    public void setOnlabeldblclick(java.lang.String _onlabeldblclick)

### getOnlabelkeydown

    public java.lang.String getOnlabelkeydown()

### setOnlabelkeydown

    public void setOnlabelkeydown(java.lang.String _onlabelkeydown)

### getOnlabelkeypress

    public java.lang.String getOnlabelkeypress()

### setOnlabelkeypress

    public void setOnlabelkeypress(java.lang.String _onlabelkeypress)

### getOnlabelkeyup

    public java.lang.String getOnlabelkeyup()

### setOnlabelkeyup

    public void setOnlabelkeyup(java.lang.String _onlabelkeyup)

### getOnlabelmousedown

    public java.lang.String getOnlabelmousedown()

### setOnlabelmousedown

    public void setOnlabelmousedown(java.lang.String _onlabelmousedown)

### getOnlabelmousemove

    public java.lang.String getOnlabelmousemove()

### setOnlabelmousemove

    public void setOnlabelmousemove(java.lang.String _onlabelmousemove)

### getOnlabelmouseup

    public java.lang.String getOnlabelmouseup()

### setOnlabelmouseup

    public void setOnlabelmouseup(java.lang.String _onlabelmouseup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getOntabenter

    public java.lang.String getOntabenter()

### setOntabenter

    public void setOntabenter(java.lang.String _ontabenter)

### getOntableave

    public java.lang.String getOntableave()

### setOntableave

    public void setOntableave(java.lang.String _ontableave)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getSimilarityGroupingId

    public java.lang.String getSimilarityGroupingId()

### setSimilarityGroupingId

    public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getSwitchType

    public java.lang.String getSwitchType()

  Specified by:
    `getSwitchType` in class `UITab`

### setSwitchType

    public void setSwitchType(java.lang.String _switchType)

  Specified by:
    `setSwitchType` in class `UITab`

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in class `UITab`

### setTitle

    public void setTitle(java.lang.String _title)

  Specified by:
    `setTitle` in class `UITab`

### getValue

    public java.lang.Object getValue()

  Description copied from class: `UITab`
  Get Model Value for this Tab.

  Specified by:
    `getValue` in class `UITab`
  Returns:
    value from local variable or value bindings

### setValue

    public void setValue(java.lang.Object _value)

  Description copied from class: `UITab`
  Set Model Value for this Tab.

  Specified by:
    `setValue` in class `UITab`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.